remove landscape-common from minimal image

Bug #1763182 reported by David Britton on 2018-04-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
livecd-rootfs (Ubuntu)
Undecided
Unassigned
ubuntu-meta (Ubuntu)
Undecided
Christian Ehrhardt 

Bug Description

The stated goal of minimal image is to strip out packages useful only to humans so that a smaller base can be used to build smaller applications running in clouds and in containers.

To this end, please remove landscape-common as it pulls in a few python3 deps, and its goal is only to provide an entry in the dynamic MOTD that shows system statistics (disk usage, memory usage, etc) that a human would look at when logging in interactively.

Steve Langasek (vorlon) wrote :

currently, landscape-common is a dependency of the ubuntu-server metapackage, which means removing landscape-common from the image will also remove ubuntu-server. I think we want landscape-common dropped to a recommends via the seed first.

Changed in ubuntu-meta (Ubuntu):
assignee: nobody → Canonical Server Team (canonical-server)
Changed in ubuntu-meta (Ubuntu):
assignee: Canonical Server Team (canonical-server) → ChristianEhrhardt (paelzer)

MP for seeds to make it a recommends at https://code.launchpad.net/~paelzer/ubuntu-seeds/18.04-remove-landscape-from-min/+merge/343063

If that is agreed&pushed and germinate ran once I can do a follow on ubuntu-meta bump which will make it the recommends as you need it.

Changed in ubuntu-meta (Ubuntu):
status: New → In Progress

@Steve - just to be sure, in https://bazaar.launchpad.net/~vorlon/livecd-rootfs/lp.1763182/revision/1662 when removing landscape-common for minimization, would you need something like an apt autoremove to get rid of the dependencies it brought in before?

On Thu, Apr 12, 2018 at 06:00:46AM -0000, ChristianEhrhardt wrote:
> @Steve - just to be sure, in https://bazaar.launchpad.net/~vorlon
> /livecd-rootfs/lp.1763182/revision/1662 when removing landscape-common
> for minimization, would you need something like an apt autoremove to get
> rid of the dependencies it brought in before?

There is already an autoremove in the code further on.

The seed change (to make it only a recommends) is pushed, thanks for the Ack!
Regenerated ubuntu-meta and pushed ubuntu-meta_1.416 to Bionic.

It is waiting in unapproved [1] atm.

https://launchpad.net/ubuntu/bionic/+queue?queue_state=1&queue_text=ubuntu-meta

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-meta - 1.416

---------------
ubuntu-meta (1.416) bionic; urgency=medium

  * Refreshed dependencies
  * Moved landscape-common to server-recommends (LP: #1763182)

 -- Christian Ehrhardt <email address hidden> Tue, 17 Apr 2018 07:24:50 +0000

Changed in ubuntu-meta (Ubuntu):
status: In Progress → Fix Released
Iain Lane (laney) wrote :

I was just reviewing this upload in the queue.

+ DEBIAN_FRONTEND=noninteractive apt-get install -y landscape-common

This doesn't strike me as the most maintainable solution, since there are two places to keep coordinated. Is there any way that the duplication of package names can be avoided? Like `apt --fix-policy --install-recommends install' or, if there are other recommends intentionally not reinstalled, factor out the list so that it can be consumed in auto/config and auto/build?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package livecd-rootfs - 2.522

---------------
livecd-rootfs (2.522) bionic; urgency=medium

  * Remove landscape-common from minimal image, and handle restoring it in
    unminimize script. LP: #1763182.

 -- Steve Langasek <email address hidden> Tue, 17 Apr 2018 13:53:00 -0700

Changed in livecd-rootfs (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers